Bug 1583175 - Save button still enabled if no change while editing Chargeback Rate
Summary: Save button still enabled if no change while editing Chargeback Rate
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Hilda Stastna
QA Contact: Matouš Mojžíš
URL:
Whiteboard: ui:chargeback
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-28 12:05 UTC by Hilda Stastna
Modified: 2019-02-07 23:03 UTC (History)
7 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:02:55 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)
Save button enabled even when currency changed back to its original value (111.32 KB, image/png)
2018-05-28 12:05 UTC, Hilda Stastna
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:03:00 UTC

Description Hilda Stastna 2018-05-28 12:05:35 UTC
Created attachment 1443157 [details]
Save button enabled even when currency changed back to its original value

Description of problem:
There is an issue while editing an existing Chargeback Rate, related to Save button and Currencies: the button remains enabled (blue) even if no change was made comparing to the original selected value.

Version-Release number of selected component (if applicable):
5.9

How reproducible:
100%

Steps to Reproduce:
1. Go to Cloud Intel > Chargeback > Rates accordion > Compute/Storage Chargeback Rates
2. Click on some rate or select it by checking the checkbox
3. Choose Edit the selected Chargeback Rate or Edit this Chargeback Rate
4. Change Currencies to something different
5. Change Currencies back to what it was before (don't use Reset button here!)

Actual results:
The button remains enabled (blue) even if no change was made comparing to the original currency.

Expected results:
The button should be disabled again if no change was made comparing to the original currency.

Additional info:
This happens only while changing currencies. Changing other values with enabling/disabling Save button seems to work properly.
Clicking on Reset button fixes the problem with Save button (after resetting the changes, Save button is disabled again which is right).

Comment 2 Hilda Stastna 2018-05-28 12:07:15 UTC
fixing https://github.com/ManageIQ/manageiq-ui-classic/pull/3974

Comment 3 Matouš Mojžíš 2018-07-10 12:58:11 UTC
Verified in 5.10.0.3. Save button is disabled when there is no change when setting to different currency and back.

Comment 5 errata-xmlrpc 2019-02-07 23:02:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.